%global distname Xdialog

Name: xdialog
Summary: X11 drop in replacement for cdialog
Version: 2.3.1
Release: 2%{?dist}
License: GPL+
Group: Applications/System
URL: http://xdialog.free.fr
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://xdialog.free.fr/%{distname}-%{version}.tar.bz2
Patch0: xdialog-2.3.1-nostrip.patch
# RHBZ #1037393: Fixes a format string vulnerability (via argv[0])
Patch1: xdialog-2.3.1-secure-fprintf.diff
Patch2: xdialog-2.3.1-no_unhide_password.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext, gtk2-devel >= 2.2.0, sed
Provides: %{distname} = %{version}-%{release}
Obsoletes: %{distname} < %{version}-%{release}

%description
Xdialog is designed to be a drop in replacement for the cdialog program.
It converts any terminal based program into a program with an X-windows
interface. The dialogs are easier to see and use and Xdialog adds even
more functionalities (help button+box, treeview, editbox, file selector,
range box, and much more).

%prep
%setup -q -n %{distname}-%{version}
iconv -f latin1 -t utf8 ChangeLog > ChangeLog.utf8
touch -c -r ChangeLog ChangeLog.utf8
%{__mv} -f ChangeLog.utf8 ChangeLog
%{__cp} -a configure configure.orig
%{__cp} -a configure.in configure.in.orig
%patch0 -p1 -b .nostrip
%patch1 -p0 -b .secure-fprintf
%patch2 -p1 -b .no_unhide_password
touch -c -r configure.orig configure
touch -c -r configure.in.orig configure.in

%build
%configure --with-gtk2
%{__make}
%{__sed} -i -e 's:%{_datadir}/doc/Xdialog:%{_datadir}/doc/%{name}:g' doc/Xdialog.1

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%{__rm} -rf __dist_html
%{__mkdir_p} __dist_html/html
%{__cp} -p doc/*.html doc/*.png __dist_html/html/
%{__ln_s} ../samples __dist_html/html/samples

%find_lang %{distname}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files -f %{distname}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog README
%doc __dist_html/html/ samples/
%{_mandir}/man1/Xdialog.1*
%{_bindir}/Xdialog
%exclude %{_docdir}/%{distname}-%{version}

%changelog
* Tue Sep 13 2022 Simon Matter <simon.matter@invoca.ch> 2.3.1-2
- replace secure_password patch with no_unhide_password patch

* Mon Sep 05 2022 Simon Matter <simon.matter@invoca.ch> 2.3.1-1
- remove gtk2 icon patch

* Sun Sep 04 2022 Simon Matter <simon.matter@invoca.ch> 2.3.1-0.1
- add secure_password patch

* Fri Sep 02 2022 Simon Matter <simon.matter@invoca.ch> 2.3.1-0
- initial package
